Bug 211117 - Anaconda traceback + forced reboot when file temporarily unavailable
Anaconda traceback + forced reboot when file temporarily unavailable
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-17 10:40 EDT by Pekka Pietikäinen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-17 14:57:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda traceback (102.77 KB, text/plain)
2006-10-17 10:40 EDT, Pekka Pietikäinen
no flags Details

  None (edit)
Description Pekka Pietikäinen 2006-10-17 10:40:00 EDT
Description of problem:

Just tried a HTTP install of rawhide. I had done the mirroring wrong -> the RPMS
directory was missing. It gave me a Cancel/Retry option, after fixing the
directory structure and pressing Retry it did try again, and then gave the
traceback attached. No way of continuing the install.

Similar error occurred when doing a FTP install off a FTP server, and the server
started responding too many connections (10) from your IP address after a while.
No way to recover from there either, even though retrying the operation after a
while would have been fine.
Comment 1 Pekka Pietikäinen 2006-10-17 10:40:01 EDT
Created attachment 138684 [details]
anaconda traceback
Comment 2 Paul Nasrat 2006-10-17 11:03:54 EDT
Applied a fix for this.
Comment 3 Paul Nasrat 2006-10-17 11:05:45 EDT
Updates image available:

http://people.redhat.com/pnasrat/211117-updates.img

See docs:

http://fedoraproject.org/wiki/Anaconda/Updates
Comment 4 Pekka Pietikäinen 2006-10-17 18:30:28 EDT
211117-updates.img fixed the problem, thanks!

I retried the scenario, this time by removing the network cable in the middle of
the install and waiting a long time for a timeout. Finally the reboot/retry
dialog came up, I pressed it a few times (first press didn't seem to do
anything, after the second it seems like it actually started retrying), then
reconnected the cable and the install is now happily continuing...

(If someone wants to further test these kinds of things, I recommend a local
mirror + then just removing files or whatnot to trigger, the timeout takes ages
with the "remove cable" approach, but it eventually does. Sensible behaviour,
except when you want to test the failure code ;) )
Comment 5 Will Woods 2006-11-17 14:57:35 EST
This bug appears to be fixed in FC6.

Note You need to log in before you can comment on or make changes to this bug.